--- old/usr/src/test/zfs-tests/tests/functional/truncate/truncate_002_pos.ksh	Wed Aug 31 16:21:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/truncate/truncate_002_pos.ksh	Wed Aug 31 16:21:36 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/truncate/truncate.cfg
 . $STF_SUITE/include/libtest.shlib
 
@@ -42,21 +46,21 @@
 
 function cleanup
 {
-	[[ -e $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
-	[[ -f $srcfile ]] && $RM -f $srcfile
+	[[ -e $TESTDIR ]] && log_must rm -rf $TESTDIR/*
+	[[ -f $srcfile ]] && rm -f $srcfile
 }
 
 log_assert "Ensure zeroed file gets written correctly during a sync operation"
 
 srcfile="/tmp/cosmo.$$"
-log_must $DD if=/dev/urandom of=$srcfile bs=1024k count=1
+log_must dd if=/dev/urandom of=$srcfile bs=1024k count=1
 
 log_onexit cleanup
-log_must $CP $srcfile $TESTDIR/$TESTFILE
-log_must $CP /dev/null $TESTDIR/$TESTFILE
-log_must $SYNC
+log_must cp $srcfile $TESTDIR/$TESTFILE
+log_must cp /dev/null $TESTDIR/$TESTFILE
+log_must sync
 if [[ -s $TESTDIR/$TESTFILE ]]; then
-	log_note "$($LS -l $TESTDIR/$TESTFILE)"
+	log_note "$(ls -l $TESTDIR/$TESTFILE)"
 	log_fail "testfile not truncated"
 fi
 
--- old/usr/src/test/zfs-tests/tests/functional/userquota/cleanup.ksh	Wed Aug 31 16:21:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/cleanup.ksh	Wed Aug 31 16:21:36 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -36,6 +36,6 @@
 log_must clean_user_group
 
 typeset mntp=$(get_prop mountpoint $QFS)
-log_must $CHMOD 0755 $mntp
+log_must chmod 0755 $mntp
 
 default_cleanup
--- old/usr/src/test/zfs-tests/tests/functional/userquota/groupspace_001_pos.ksh	Wed Aug 31 16:21:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/groupspace_001_pos.ksh	Wed Aug 31 16:21:36 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 function cleanup
 {
 	if datasetexists $snap_fs; then
-		log_must $ZFS destroy $snap_fs
+		log_must zfs destroy $snap_fs
 	fi
 
 	log_must cleanup_quota
@@ -63,17 +63,17 @@
 
 typeset snap_fs=$QFS@snap
 
-log_must $ZFS set groupquota@$QGROUP=500m $QFS
+log_must zfs set groupquota@$QGROUP=500m $QFS
 mkmount_writable $QFS
-log_must user_run $QUSER1 $MKFILE 50m $QFILE
+log_must user_run $QUSER1 mkfile 50m $QFILE
 
-$SYNC
+sync
 
-log_must $ZFS snapshot $snap_fs
+log_must zfs snapshot $snap_fs
 
 for param in "${params[@]}"; do
-	log_must eval "$ZFS groupspace $param $QFS >/dev/null 2>&1"
-	log_must eval "$ZFS groupspace $param $snap_fs >/dev/null 2>&1"
+	log_must eval "zfs groupspace $param $QFS >/dev/null 2>&1"
+	log_must eval "zfs groupspace $param $snap_fs >/dev/null 2>&1"
 done
 
 log_pass "Check the zfs groupspace with all possible parameters"
--- old/usr/src/test/zfs-tests/tests/functional/userquota/groupspace_002_pos.ksh	Wed Aug 31 16:21:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/groupspace_002_pos.ksh	Wed Aug 31 16:21:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 function cleanup
 {
 	if datasetexists $snapfs; then
-		log_must $ZFS destroy $snapfs
+		log_must zfs destroy $snapfs
 	fi
 	log_must cleanup_quota
 }
@@ -55,25 +55,25 @@
 
 log_assert "Check the zfs groupspace used and quota"
 
-log_must $ZFS set groupquota@$QGROUP=500m $QFS
+log_must zfs set groupquota@$QGROUP=500m $QFS
 mkmount_writable $QFS
-log_must user_run $QUSER1 $MKFILE 100m $QFILE
+log_must user_run $QUSER1 mkfile 100m $QFILE
 
-$SYNC
+sync
 
 typeset snapfs=$QFS@snap
 
-log_must $ZFS snapshot $snapfs
+log_must zfs snapshot $snapfs
 
-log_must eval "$ZFS groupspace $QFS >/dev/null 2>&1"
-log_must eval "$ZFS groupspace $snapfs >/dev/null 2>&1"
+log_must eval "zfs groupspace $QFS >/dev/null 2>&1"
+log_must eval "zfs groupspace $snapfs >/dev/null 2>&1"
 
 for fs in "$QFS" "$snapfs"; do
 	log_note "check the quota size in zfs groupspace $fs"
-	log_must eval "$ZFS groupspace $fs | $GREP $QGROUP | $GREP 500M"
+	log_must eval "zfs groupspace $fs | grep $QGROUP | grep 500M"
 
 	log_note "check the user used size in zfs groupspace $fs"
-	log_must eval "$ZFS groupspace $fs | $GREP $QGROUP | $GREP 100M"
+	log_must eval "zfs groupspace $fs | grep $QGROUP | grep 100M"
 done
 
 log_pass "Check the zfs groupspace used and quota pass as expect"
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_001_pos.ksh	Wed Aug 31 16:21:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_001_pos.ksh	Wed Aug 31 16:21:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/userquota/userquota_common.kshlib
@@ -56,18 +56,18 @@
 
 mkmount_writable $QFS
 log_note "Check the userquota@$QUSER1"
-log_must $ZFS set userquota@$QUSER1=$UQUOTA_SIZE $QFS
-log_must user_run $QUSER1 $MKFILE $UQUOTA_SIZE $QFILE
-$SYNC
-log_mustnot user_run $QUSER1 $MKFILE 1 $OFILE
+log_must zfs set userquota@$QUSER1=$UQUOTA_SIZE $QFS
+log_must user_run $QUSER1 mkfile $UQUOTA_SIZE $QFILE
+sync
+log_mustnot user_run $QUSER1 mkfile 1 $OFILE
 cleanup_quota
 
 log_note "Check the groupquota@$QGROUP"
-log_must $ZFS set groupquota@$QGROUP=$GQUOTA_SIZE $QFS
+log_must zfs set groupquota@$QGROUP=$GQUOTA_SIZE $QFS
 mkmount_writable $QFS
-log_must user_run $QUSER1 $MKFILE $GQUOTA_SIZE $QFILE
-$SYNC
-log_mustnot user_run $QUSER1 $MKFILE 1 $OFILE
+log_must user_run $QUSER1 mkfile $GQUOTA_SIZE $QFILE
+sync
+log_mustnot user_run $QUSER1 mkfile 1 $OFILE
 
 cleanup_quota
 
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_002_pos.ksh	Wed Aug 31 16:21:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_002_pos.ksh	Wed Aug 31 16:21:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,11 +46,11 @@
 function cleanup
 {
 	if poolexists $TESTPOOL1; then
-		log_must $ZPOOL destroy $TESTPOOL1
+		log_must zpool destroy $TESTPOOL1
 	fi
 
 	if [[ -f $pool_vdev ]]; then
-		$RM -f $pool_vdev
+		rm -f $pool_vdev
 	fi
 }
 
@@ -61,25 +61,25 @@
 
 typeset pool_vdev=/var/tmp/pool_dev.$$
 
-log_must $MKFILE 500m $pool_vdev
+log_must mkfile 500m $pool_vdev
 
 if poolexists $TESTPOOL1; then
-	$ZPOOL destroy $TESTPOOL1
+	zpool destroy $TESTPOOL1
 fi
 
-log_must $ZPOOL create -O userquota@$QUSER1=$UQUOTA_SIZE \
+log_must zpool create -O userquota@$QUSER1=$UQUOTA_SIZE \
 	-O groupquota@$QGROUP=$GQUOTA_SIZE $TESTPOOL1 $pool_vdev
 
-log_must eval "$ZFS list -r -o userquota@$QUSER1,groupquota@$QGROUP \
+log_must eval "zfs list -r -o userquota@$QUSER1,groupquota@$QGROUP \
 	$TESTPOOL1 > /dev/null 2>&1"
 
 log_must check_quota "userquota@$QUSER1" $TESTPOOL1 "$UQUOTA_SIZE"
 log_must check_quota "groupquota@$QGROUP" $TESTPOOL1 "$GQUOTA_SIZE"
 
-log_must $ZFS create -o userquota@$QUSER1=$UQUOTA_SIZE \
+log_must zfs create -o userquota@$QUSER1=$UQUOTA_SIZE \
 	-o groupquota@$QGROUP=$GQUOTA_SIZE $TESTPOOL1/fs
 
-log_must eval "$ZFS list -r -o userquota@$QUSER1,groupquota@$QGROUP \
+log_must eval "zfs list -r -o userquota@$QUSER1,groupquota@$QGROUP \
 	$TESTPOOL1 > /dev/null 2>&1"
 
 log_must check_quota "userquota@$QUSER1" $TESTPOOL1/fs "$UQUOTA_SIZE"
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_003_pos.ksh	Wed Aug 31 16:21:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_003_pos.ksh	Wed Aug 31 16:21:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,10 +52,10 @@
 log_assert "Check the basic function of set/get userquota and groupquota on fs"
 
 log_note "Check the set|get userquota@$QUSER1 and groupquota@QGROUP"
-log_must $ZFS set userquota@$QUSER1=$UQUOTA_SIZE $QFS
+log_must zfs set userquota@$QUSER1=$UQUOTA_SIZE $QFS
 log_must check_quota "userquota@$QUSER1" $QFS "$UQUOTA_SIZE"
 
-log_must $ZFS set groupquota@$QGROUP=$GQUOTA_SIZE $QFS
+log_must zfs set groupquota@$QGROUP=$GQUOTA_SIZE $QFS
 log_must check_quota "groupquota@$QGROUP" $QFS "$GQUOTA_SIZE"
 
 log_pass "Check the basic function of set/get userquota on fs passed as expect"
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_004_pos.ksh	Wed Aug 31 16:21:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_004_pos.ksh	Wed Aug 31 16:21:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -61,8 +61,8 @@
 fi
 
 mkmount_writable $QFS
-log_must user_run $QUSER1 $MKFILE 100m $QFILE
-$SYNC
+log_must user_run $QUSER1 mkfile 100m $QFILE
+sync
 
 user_used=$(get_value "userused@$QUSER1" $QFS)
 group_used=$(get_value "groupused@$QGROUP" $QFS)
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_005_neg.ksh	Wed Aug 31 16:21:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_005_neg.ksh	Wed Aug 31 16:21:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,7 +45,7 @@
 function cleanup
 {
 	if datasetexists $snap_fs; then
-		log_must $ZFS destroy $snap_fs
+		log_must zfs destroy $snap_fs
 	fi
 
 	log_must cleanup_quota
@@ -56,39 +56,39 @@
 log_assert "Check the invalid parameter of zfs set user|group quota"
 typeset snap_fs=$QFS@snap
 
-log_must $ZFS snapshot $snap_fs
+log_must zfs snapshot $snap_fs
 
 set -A no_users "mms1234" "ss@#" "root-122"
 for user in "${no_users[@]}"; do
-	log_mustnot $ID $user
-	log_mustnot $ZFS set userquota@$user=100m $QFS
+	log_mustnot id $user
+	log_mustnot zfs set userquota@$user=100m $QFS
 done
 
 log_note "can set all numberic id even that id is not existed"
-log_must $ZFS set userquota@12345678=100m $QFS
-log_mustnot $ZFS set userquota@12345678=100m $snap_fs
+log_must zfs set userquota@12345678=100m $QFS
+log_mustnot zfs set userquota@12345678=100m $snap_fs
 
 set -A sizes "100mfsd" "m0.12m" "GGM" "-1234-m" "123m-m"
 
 for size in "${sizes[@]}"; do
 	log_note "can not set user quota with invalid size parameter"
-	log_mustnot $ZFS set userquota@root=$size $QFS
+	log_mustnot zfs set userquota@root=$size $QFS
 done
 
 log_note "can not set user quota to snapshot $snap_fs"
-log_mustnot $ZFS set userquota@root=100m $snap_fs
+log_mustnot zfs set userquota@root=100m $snap_fs
 
 
 set -A no_groups "aidsf@dfsd@" "123223-dsfds#sdfsd" "mss_#ss" "@@@@"
 for group in "${no_groups[@]}"; do
-	log_mustnot eval "$GREP $group /etc/group"
-	log_mustnot $ZFS set groupquota@$group=100m $QFS
+	log_mustnot eval "grep $group /etc/group"
+	log_mustnot zfs set groupquota@$group=100m $QFS
 done
 
 log_note "can not set group quota with invalid size parameter"
-log_mustnot $ZFS set groupquota@root=100msfsd $QFS
+log_mustnot zfs set groupquota@root=100msfsd $QFS
 
 log_note "can not set group quota to snapshot $snap_fs"
-log_mustnot $ZFS set groupquota@root=100m $snap_fs
+log_mustnot zfs set groupquota@root=100m $snap_fs
 
 log_pass "Check the invalid parameter of zfs set user|group quota pas as expect"
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_006_pos.ksh	Wed Aug 31 16:21:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_006_pos.ksh	Wed Aug 31 16:21:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,7 +45,7 @@
 function cleanup
 {
 	if datasetexists $snap_fs; then
-		log_must $ZFS destroy $snap_fs
+		log_must zfs destroy $snap_fs
 	fi
 
 	log_must cleanup_quota
@@ -56,20 +56,20 @@
 log_assert "Check the invalid parameter of zfs get user|group quota"
 typeset snap_fs=$QFS@snap
 
-log_must $ZFS snapshot $snap_fs
+log_must zfs snapshot $snap_fs
 
 set -A no_users "mms1234" "ss@#" "root-122" "1234"
 for user in "${no_users[@]}"; do
-	log_mustnot eval "$ID $user >/dev/null 2>&1"
-	log_must eval "$ZFS get userquota@$user $QFS >/dev/null 2>&1"
-	log_must eval "$ZFS get userquota@$user $snap_fs >/dev/null 2>&1"
+	log_mustnot eval "id $user >/dev/null 2>&1"
+	log_must eval "zfs get userquota@$user $QFS >/dev/null 2>&1"
+	log_must eval "zfs get userquota@$user $snap_fs >/dev/null 2>&1"
 done
 
 set -A no_groups "aidsf@dfsd@" "123223-dsfds#sdfsd" "mss_#ss" "1234"
 for group in "${no_groups[@]}"; do
-	log_mustnot eval "$GROUPDEL $group > /dev/null 2>&1"
-	log_must eval "$ZFS get groupquota@$group $QFS >/dev/null 2>&1"
-	log_must eval "$ZFS get groupquota@$group $snap_fs >/dev/null 2>&1"
+	log_mustnot eval "groupdel $group > /dev/null 2>&1"
+	log_must eval "zfs get groupquota@$group $QFS >/dev/null 2>&1"
+	log_must eval "zfs get groupquota@$group $snap_fs >/dev/null 2>&1"
 done
 
 log_pass "Check the invalid parameter of zfs get user|group quota pass as expect"
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_007_pos.ksh	Wed Aug 31 16:21:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_007_pos.ksh	Wed Aug 31 16:21:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 function cleanup
 {
 	log_must cleanup_quota
-	log_must $ZFS set quota=none $QFS
+	log_must zfs set quota=none $QFS
 }
 
 log_onexit cleanup
@@ -53,23 +53,23 @@
 
 log_assert "Check set user|group quota to larger than the quota size of a fs"
 
-log_must $ZFS set quota=200m $QFS
-log_must $ZFS set userquota@$QUSER1=500m $QFS
-log_must $ZFS set groupquota@$QGROUP=600m $QFS
+log_must zfs set quota=200m $QFS
+log_must zfs set userquota@$QUSER1=500m $QFS
+log_must zfs set groupquota@$QGROUP=600m $QFS
 
-log_must $ZFS get userquota@$QUSER1 $QFS
-log_must $ZFS get groupquota@$QGROUP $QFS
+log_must zfs get userquota@$QUSER1 $QFS
+log_must zfs get groupquota@$QGROUP $QFS
 
 log_note "write some data to the $QFS"
 mkmount_writable $QFS
-log_must user_run $QUSER1 $MKFILE 100m $QFILE
-$SYNC
+log_must user_run $QUSER1 mkfile 100m $QFILE
+sync
 
 log_note "set user|group quota at a smaller size than it current usage"
-log_must $ZFS set userquota@$QUSER1=90m $QFS
-log_must $ZFS set groupquota@$QGROUP=90m $QFS
+log_must zfs set userquota@$QUSER1=90m $QFS
+log_must zfs set groupquota@$QGROUP=90m $QFS
 
-log_must $ZFS get userquota@$QUSER1 $QFS
-log_must $ZFS get groupquota@$QGROUP $QFS
+log_must zfs get userquota@$QUSER1 $QFS
+log_must zfs get groupquota@$QGROUP $QFS
 
 log_pass "set user|group quota to larger than quota size of a fs pass as expect"
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_008_pos.ksh	Wed Aug 31 16:21:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_008_pos.ksh	Wed Aug 31 16:21:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,10 +51,10 @@
 
 log_assert "Check zfs get all will not print out user|group quota"
 
-log_must $ZFS set userquota@$QUSER1=50m $QFS
-log_must $ZFS set groupquota@$QGROUP=100m $QFS
+log_must zfs set userquota@$QUSER1=50m $QFS
+log_must zfs set groupquota@$QGROUP=100m $QFS
 
-log_mustnot $ZFS get all $QFS | $GREP userquota
-log_mustnot $ZFS get all $QFS | $GREP groupquota
+log_mustnot zfs get all $QFS | grep userquota
+log_mustnot zfs get all $QFS | grep groupquota
 
 log_pass "zfs get all will not print out user|group quota"
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_009_pos.ksh	Wed Aug 31 16:21:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_009_pos.ksh	Wed Aug 31 16:21:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 function cleanup
 {
 	if datasetexists $snap_fs; then
-		log_must $ZFS destroy $snap_fs
+		log_must zfs destroy $snap_fs
 	fi
 
 	log_must cleanup_quota
@@ -62,13 +62,13 @@
 typeset snap_fs=$QFS@snap
 
 
-log_must $ZFS set userquota@$QUSER1=$UQUOTA_SIZE $QFS
+log_must zfs set userquota@$QUSER1=$UQUOTA_SIZE $QFS
 log_must check_quota "userquota@$QUSER1" $QFS "$UQUOTA_SIZE"
 
-log_must $ZFS set groupquota@$QGROUP=$GQUOTA_SIZE $QFS
+log_must zfs set groupquota@$QGROUP=$GQUOTA_SIZE $QFS
 log_must check_quota "groupquota@$QGROUP" $QFS "$GQUOTA_SIZE"
 
-log_must $ZFS snapshot $snap_fs
+log_must zfs snapshot $snap_fs
 
 log_note "check the snapshot $snap_fs user|group quota"
 log_must check_quota "userquota@$QUSER1" $snap_fs "$UQUOTA_SIZE"
@@ -75,12 +75,12 @@
 log_must check_quota "groupquota@$QGROUP" $snap_fs "$GQUOTA_SIZE"
 
 log_note  "set userquota and groupquota to $snap_fs which will fail"
-log_mustnot $ZFS set userquota@$QUSER1=$SNAP_QUOTA $snap_fs
-log_mustnot $ZFS set groupquota@$QGROUP=$SNAP_QUOTA $snap_fs
+log_mustnot zfs set userquota@$QUSER1=$SNAP_QUOTA $snap_fs
+log_mustnot zfs set groupquota@$QGROUP=$SNAP_QUOTA $snap_fs
 
 log_note "change the parent's userquota and groupquota"
-log_must $ZFS set userquota@$QUSER1=$TEST_QUOTA $QFS
-log_must $ZFS set groupquota@$QGROUP=$TEST_QUOTA $QFS
+log_must zfs set userquota@$QUSER1=$TEST_QUOTA $QFS
+log_must zfs set groupquota@$QGROUP=$TEST_QUOTA $QFS
 
 log_must check_quota "userquota@$QUSER1" $QFS $TEST_QUOTA
 log_must check_quota "groupquota@$QGROUP" $QFS $TEST_QUOTA
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_010_pos.ksh	Wed Aug 31 16:21:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_010_pos.ksh	Wed Aug 31 16:21:38 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,24 +52,24 @@
 log_assert "overwrite any of the {user|group}quota size, it will fail"
 
 log_note "overwrite to $QFS to make it exceed userquota"
-log_must $ZFS set userquota@$QUSER1=$UQUOTA_SIZE $QFS
-log_must $ZFS set groupquota@$QGROUP=$GQUOTA_SIZE $QFS
+log_must zfs set userquota@$QUSER1=$UQUOTA_SIZE $QFS
+log_must zfs set groupquota@$QGROUP=$GQUOTA_SIZE $QFS
 
 mkmount_writable $QFS
-log_must user_run $QUSER1 $MKFILE $UQUOTA_SIZE $QFILE
-$SYNC
+log_must user_run $QUSER1 mkfile $UQUOTA_SIZE $QFILE
+sync
 
-log_must eval "$ZFS get -p userused@$QUSER1 $QFS >/dev/null 2>&1"
-log_must eval "$ZFS get -p groupused@$GROUPUSED $QFS >/dev/null 2>&1"
+log_must eval "zfs get -p userused@$QUSER1 $QFS >/dev/null 2>&1"
+log_must eval "zfs get -p groupused@$GROUPUSED $QFS >/dev/null 2>&1"
 
-log_mustnot user_run $QUSER1 $MKFILE 1 $OFILE
+log_mustnot user_run $QUSER1 mkfile 1 $OFILE
 
-log_must $RM -f $QFILE
+log_must rm -f $QFILE
 
 log_note "overwrite to $QFS to make it exceed userquota"
-log_mustnot user_run $QUSER1 $MKFILE $GQUOTA_SIZE $QFILE
+log_mustnot user_run $QUSER1 mkfile $GQUOTA_SIZE $QFILE
 
-log_must eval "$ZFS get -p userused@$QUSER1 $QFS >/dev/null 2>&1"
-log_must eval "$ZFS get -p groupused@$GROUPUSED $QFS >/dev/null 2>&1"
+log_must eval "zfs get -p userused@$QUSER1 $QFS >/dev/null 2>&1"
+log_must eval "zfs get -p groupused@$GROUPUSED $QFS >/dev/null 2>&1"
 
 log_pass "overwrite any of the {user|group}quota size, it fail as expect"
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_011_pos.ksh	Wed Aug 31 16:21:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_011_pos.ksh	Wed Aug 31 16:21:38 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 {
 	for ds in $TESTPOOL/fs $TESTPOOL/fs-rename $TESTPOOL/fs-clone; do
 		if datasetexists $ds; then
-			log_must $ZFS destroy -rRf $ds
+			log_must zfs destroy -rRf $ds
 		fi
 	done
 }
@@ -62,11 +62,11 @@
 
 cleanup
 
-log_must $ZFS create -o userquota@$QUSER1=$UQUOTA_SIZE \
+log_must zfs create -o userquota@$QUSER1=$UQUOTA_SIZE \
 	-o groupquota@$QGROUP=$GQUOTA_SIZE $TESTPOOL/fs
 
-log_must $ZFS snapshot $TESTPOOL/fs@snap
-log_must eval "$ZFS list -r -o userquota@$QUSER1,groupquota@$QGROUP \
+log_must zfs snapshot $TESTPOOL/fs@snap
+log_must eval "zfs list -r -o userquota@$QUSER1,groupquota@$QGROUP \
 	$TESTPOOL >/dev/null 2>&1"
 
 log_must check_quota "userquota@$QUSER1" $TESTPOOL/fs@snap "$UQUOTA_SIZE"
@@ -74,23 +74,23 @@
 
 
 log_note "clone fs gets its parent's userquota/groupquota initially"
-log_must $ZFS clone  -o userquota@$QUSER1=$UQUOTA_SIZE \
+log_must zfs clone  -o userquota@$QUSER1=$UQUOTA_SIZE \
 		-o groupquota@$QGROUP=$GQUOTA_SIZE \
 		$TESTPOOL/fs@snap $TESTPOOL/fs-clone
 
-log_must eval "$ZFS list -r -o userquota@$QUSER1,groupquota@$QGROUP \
+log_must eval "zfs list -r -o userquota@$QUSER1,groupquota@$QGROUP \
 	$TESTPOOL >/dev/null 2>&1"
 
 log_must check_quota "userquota@$QUSER1" $TESTPOOL/fs-clone "$UQUOTA_SIZE"
 log_must check_quota "groupquota@$QGROUP" $TESTPOOL/fs-clone "$GQUOTA_SIZE"
 
-log_must eval "$ZFS list -o userquota@$QUSER1,groupquota@$QGROUP \
+log_must eval "zfs list -o userquota@$QUSER1,groupquota@$QGROUP \
 	$TESTPOOL/fs-clone >/dev/null 2>&1"
 
 log_note "zfs promote can not change the previously set user|group quota"
-log_must $ZFS promote $TESTPOOL/fs-clone
+log_must zfs promote $TESTPOOL/fs-clone
 
-log_must eval "$ZFS list -r -o userquota@$QUSER1,groupquota@$QGROUP \
+log_must eval "zfs list -r -o userquota@$QUSER1,groupquota@$QGROUP \
 	$TESTPOOL >/dev/null 2>&1"
 
 log_must check_quota "userquota@$QUSER1" $TESTPOOL/fs-clone "$UQUOTA_SIZE"
@@ -97,9 +97,9 @@
 log_must check_quota "groupquota@$QGROUP" $TESTPOOL/fs-clone "$GQUOTA_SIZE"
 
 log_note "zfs send receive can not change the previously set user|group quota"
-log_must $ZFS send $TESTPOOL/fs-clone@snap | $ZFS receive $TESTPOOL/fs-rev
+log_must zfs send $TESTPOOL/fs-clone@snap | zfs receive $TESTPOOL/fs-rev
 
-log_must eval "$ZFS list -r -o userquota@$QUSER1,groupquota@$QGROUP \
+log_must eval "zfs list -r -o userquota@$QUSER1,groupquota@$QGROUP \
 	$TESTPOOL >/dev/null 2>&1"
 
 log_must check_quota "userquota@$QUSER1" $TESTPOOL/fs-rev "$UQUOTA_SIZE"
@@ -106,9 +106,9 @@
 log_must check_quota "groupquota@$QGROUP" $TESTPOOL/fs-rev "$GQUOTA_SIZE"
 
 log_note "zfs rename can not change the previously set user|group quota"
-log_must $ZFS rename $TESTPOOL/fs-rev $TESTPOOL/fs-rename
+log_must zfs rename $TESTPOOL/fs-rev $TESTPOOL/fs-rename
 
-log_must eval "$ZFS list -r -o userquota@$QUSER1,groupquota@$QGROUP \
+log_must eval "zfs list -r -o userquota@$QUSER1,groupquota@$QGROUP \
 	$TESTPOOL  >/dev/null 2>&1"
 
 log_must check_quota "userquota@$QUSER1" $TESTPOOL/fs-rename "$UQUOTA_SIZE"
@@ -115,9 +115,9 @@
 log_must check_quota "groupquota@$QGROUP" $TESTPOOL/fs-rename "$GQUOTA_SIZE"
 
 log_note "zfs upgrade can not change the previously set user|group quota"
-log_must $ZFS upgrade $TESTPOOL/fs-rename
+log_must zfs upgrade $TESTPOOL/fs-rename
 
-log_must eval "$ZFS list -r -o userquota@$QUSER1,groupquota@$QGROUP \
+log_must eval "zfs list -r -o userquota@$QUSER1,groupquota@$QGROUP \
 	$TESTPOOL >/dev/null 2>&1"
 
 log_must check_quota "userquota@$QUSER1" $TESTPOOL/fs-rename "$UQUOTA_SIZE"
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_012_neg.ksh	Wed Aug 31 16:21:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_012_neg.ksh	Wed Aug 31 16:21:38 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 	cleanup_quota
 
 	if datasetexists $snap_fs; then
-		log_must $ZFS destroy $snap_fs
+		log_must zfs destroy $snap_fs
 	fi
 }
 
@@ -57,10 +57,10 @@
 log_assert "Check  set userquota and groupquota on snapshot"
 
 log_note "Check can not set user|group quuota on snapshot"
-log_must $ZFS snapshot $snap_fs
+log_must zfs snapshot $snap_fs
 
-log_mustnot $ZFS set userquota@$QUSER1=$UQUOTA_SIZE $snap_fs
+log_mustnot zfs set userquota@$QUSER1=$UQUOTA_SIZE $snap_fs
 
-log_mustnot $ZFS set groupquota@$QGROUP=$GQUOTA_SIZE $snap_fs
+log_mustnot zfs set groupquota@$QGROUP=$GQUOTA_SIZE $snap_fs
 
 log_pass "Check  set userquota and groupquota on snapshot"
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userquota_common.kshlib	Wed Aug 31 16:21:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userquota_common.kshlib	Wed Aug 31 16:21:38 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -37,15 +37,15 @@
 function cleanup_quota
 {
 	if datasetexists $QFS; then
-		log_must $ZFS set userquota@$QUSER1=none $QFS
-		log_must $ZFS set userquota@$QUSER2=none $QFS
-		log_must $ZFS set groupquota@$QGROUP=none $QFS
+		log_must zfs set userquota@$QUSER1=none $QFS
+		log_must zfs set userquota@$QUSER2=none $QFS
+		log_must zfs set groupquota@$QGROUP=none $QFS
 		recovery_writable $QFS
 	fi
 
-	[[ -f $QFILE ]] && log_must $RM -f $QFILE
-	[[ -f $OFILE ]] && log_must $RM -f $OFILE
-	$SYNC
+	[[ -f $QFILE ]] && log_must rm -f $QFILE
+	[[ -f $OFILE ]] && log_must rm -f $OFILE
+	sync
 
 	 return 0
 }
@@ -71,7 +71,7 @@
 {
 	typeset fs=$1
 	typeset mntp=$(get_prop mountpoint $fs)
-	log_must $CHMOD 0777 $mntp
+	log_must chmod 0777 $mntp
 }
 
 #
@@ -81,7 +81,7 @@
 {
 	typeset fs=$1
 	typeset mntp=$(get_prop mountpoint $fs)
-	log_must $CHMOD 0755 $mntp
+	log_must chmod 0755 $mntp
 }
 
 #
@@ -108,7 +108,7 @@
         typeset prop=$1
         typeset dataset=$2
 
-        prop_val=$($ZFS get -H -o value $prop $dataset 2>/dev/null)
+        prop_val=$(zfs get -H -o value $prop $dataset 2>/dev/null)
         if [[ $? -ne 0 ]]; then
                 log_note "Unable to get $prop property for dataset " \
                 "$dataset"
@@ -115,6 +115,6 @@
                 return 1
         fi
 
-        $ECHO $prop_val
+        echo $prop_val
         return 0
 }
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userspace_001_pos.ksh	Wed Aug 31 16:21:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userspace_001_pos.ksh	Wed Aug 31 16:21:38 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 function cleanup
 {
 	if datasetexists $snap_fs; then
-		log_must $ZFS destroy $snap_fs
+		log_must zfs destroy $snap_fs
 	fi
 
 	log_must cleanup_quota
@@ -63,16 +63,16 @@
 
 typeset snap_fs=$QFS@snap
 
-log_must $ZFS set userquota@$QUSER1=100m $QFS
+log_must zfs set userquota@$QUSER1=100m $QFS
 mkmount_writable $QFS
-log_must user_run $QUSER1 $MKFILE 50m $QFILE
-$SYNC
+log_must user_run $QUSER1 mkfile 50m $QFILE
+sync
 
-log_must $ZFS snapshot $snap_fs
+log_must zfs snapshot $snap_fs
 
 for param in "${params[@]}"; do
-	log_must eval "$ZFS userspace $param $QFS >/dev/null 2>&1"
-	log_must eval "$ZFS userspace $param $snap_fs >/dev/null 2>&1"
+	log_must eval "zfs userspace $param $QFS >/dev/null 2>&1"
+	log_must eval "zfs userspace $param $snap_fs >/dev/null 2>&1"
 done
 
 log_pass "zfs userspace with all possible parameters pass as expect"
--- old/usr/src/test/zfs-tests/tests/functional/userquota/userspace_002_pos.ksh	Wed Aug 31 16:21:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/userquota/userspace_002_pos.ksh	Wed Aug 31 16:21:38 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 function cleanup
 {
 	if datasetexists $snapfs; then
-		log_must $ZFS destroy $snapfs
+		log_must zfs destroy $snapfs
 	fi
 
 	log_must cleanup_quota
@@ -56,26 +56,26 @@
 
 log_assert "Check the zfs userspace used and quota"
 
-log_must $ZFS set userquota@$QUSER1=100m $QFS
+log_must zfs set userquota@$QUSER1=100m $QFS
 
 mkmount_writable $QFS
 
-log_must user_run $QUSER1 $MKFILE 50m $QFILE
-$SYNC
+log_must user_run $QUSER1 mkfile 50m $QFILE
+sync
 
 typeset snapfs=$QFS@snap
 
-log_must $ZFS snapshot $snapfs
+log_must zfs snapshot $snapfs
 
-log_must eval "$ZFS userspace $QFS >/dev/null 2>&1"
-log_must eval "$ZFS userspace $snapfs >/dev/null 2>&1"
+log_must eval "zfs userspace $QFS >/dev/null 2>&1"
+log_must eval "zfs userspace $snapfs >/dev/null 2>&1"
 
 for fs in "$QFS" "$snapfs"; do
 	log_note "check the quota size in zfs userspace $fs"
-	log_must eval "$ZFS userspace $fs | $GREP $QUSER1 | $GREP 100M"
+	log_must eval "zfs userspace $fs | grep $QUSER1 | grep 100M"
 
 	log_note "check the user used size in zfs userspace $fs"
-	log_must eval "$ZFS userspace $fs | $GREP $QUSER1 | $GREP 50.0M"
+	log_must eval "zfs userspace $fs | grep $QUSER1 | grep 50.0M"
 done
 
 log_pass "Check the zfs userspace used and quota"
--- old/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test.kshlib	Wed Aug 31 16:21:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test.kshlib	Wed Aug 31 16:21:38 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 . $STF_SUITE/tests/functional/utils_test/utils_test.cfg
 
@@ -43,7 +43,7 @@
 
 	typeset -i filenum=0
 	while (( filenum < num_files )); do
-		log_must $FILE_WRITE -o create -c $WRITE_COUNT \
+		log_must file_write -o create -c $WRITE_COUNT \
 		    -f $TESTDIR/$TESTFILE.$filenum -b $BLOCKSZ -d $DATA
 		(( filenum = filenum + 1 ))
 	done
--- old/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_001_pos.ksh	Wed Aug 31 16:21:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_001_pos.ksh	Wed Aug 31 16:21:38 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/*
+	rm -rf $TESTDIR/*
 }
 
 log_onexit cleanup
@@ -55,8 +55,8 @@
 
 populate_dir $NUM_FILES
 
-inode=`$LS -i $TESTDIR/$TESTFILE.0 | $AWK '{print $1}'`
-log_mustnot $CLRI /dev/rdsk/$DISK $inode
-log_mustnot $CLRI -F zfs /dev/rdsk/$DISK $inode
+inode=`ls -i $TESTDIR/$TESTFILE.0 | awk '{print $1}'`
+log_mustnot clri /dev/rdsk/$DISK $inode
+log_mustnot clri -F zfs /dev/rdsk/$DISK $inode
 
 log_pass "clri(1M) returned an error as expected."
